<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Онлайн мафия';
include_once '../sys/inc/thead.php';
title();
aut();

if(!isset($user)){
echo "Вы не зарегистрированы!";
include_once '../sys/inc/tfoot.php';
break;
}
$prov=mysql_result(mysql_query("SELECT * FROM mafia_us WHERE id_us='$user[id]'"), 0);
if($prov>0){

}
else
{
$usid=$user['id'];
$usn=$user['nick'];
mysql_query("INSERT INTO mafia_us(id_us, nick, win, cred, pm, ps, acti) VALUES('$usid', '$usn',  '0', '0', '0', '0', '0');");
}
$q=mysql_query("SELECT * FROM `mafia_act` WHERE `room`='1'");
$rtime=time();
while($ig=mysql_fetch_array($q)){
$act=$ig['act'];
$time=$ig['time'];
}





$d=mysql_query("SELECT * FROM `mafia_us` WHERE `id_us`='".$user['id']."' LIMIT 1");
$aj=mysql_fetch_array($d);
$role=$aj['role'];
$acti=$aj['acti'];
$knk=$aj['nick'];
$yb=$aj['yb'];


if($yb=='2' || $role==''){
header("Location:igra.php");
}
if($act=='nit'){

$jer=my_esc($_POST['jer']);
if(isset($_POST['sub1']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET yb='1', kto_ub='$knk' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Босс мафии вышел на охоту! Все по домам!!!";
$mess2="Босс мафии сегодня убил пользователя $nnn ($kogo[role])! ";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
mysql_query("INSERT INTO mmafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess2', '$rtime');");
echo "Вы убили пользователя $nnn! Как оказалось, он был  $krole<br/>Вернуться в <a href='igra.php'>игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
if(isset($_POST['sub4']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET pm='1' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];
if($krole=='Босс мафии' || $krole=='Киллер мафии' || $krole=='Мафиози' || $krole=='Шпион' || $krole=='Маньяк'){
mysql_query("UPDATE mafia_us SET yb='1' WHERE id_us='$jer' LIMIT 1;");
$mmm="Недолго думая, вы высадили в него всю обойму пистолета";
}
else
{
$mmm="К сожалению, вы не того нашли";
}

$mess="Все спят, а наш шериф вышел искать преступников!";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
echo "Сегодня вы решили по наблюдать за $nnn. После длительной слежки вы пришли к выводу, что $nnn - $krole. $mmm<br/><a href='igra.php'>В игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
if(isset($_POST['sub5']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];
mysql_query("UPDATE mafia_us SET pm='1' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Коммисар достал свою записную книжку и отправился на слежку";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
echo "После длительной слежки, вы наконец узнали, что $nnn - $krole<br/><a href='igra.php'>В игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
if(isset($_POST['sub6']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET dok='1' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Доктор взял большой шприц и отправился на поиски пациентов";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
header("Location:deist.php?$passgen");
echo "Незаметно подкравшись к $nnn, вы вкололи ему лошадиную дозу лекарств! Теперь он не скоро умрёт<br/><a href='igra.php'>В игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
if(isset($_POST['sub7']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET bom='1' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Бомж опять вылез с мусорника на поиски еды.ржу.";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
header("Location:igra.php?$passgen");

}
if(isset($_POST['sub8']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET yb='1', kto_ub='$knk' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Безбашеный  маньяк вышел на охоту! Кто-то до утра не доживёт...";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
echo "Когда $nnn увидел вас с топором, он начал просить о пощаде. Вы пообещали ему жизнь, если он скажет вам кто он. Он сказал, что он - $krole. К сожалению , $nnn успел увидеть только топор, летящий в него...<br/><a href='igra.php'>В игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
if(isset($_POST['sub2']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET yb='1', kto_ub='$knk' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Киллер мафии уже сделал свой выбор... Кто-то лежит с пулей в голове...";
$mess2="Киллер мафии сегодня убил пользователя $nnn ($kogo[role])! ";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
mysql_query("INSERT INTO mmafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess2', '$rtime');");
echo  "Вы убили $nnn($krole)<br/>";
include_once '../sys/inct/tfoot.php';
break;

}
if(isset($_POST['sub3']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];

mysql_query("UPDATE mafia_us SET ps='1' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_fetch_array(mysql_query("SELECT role FROM mafia_us WHERE id_us='$jer'"));
$krole=$kogo['role'];


$mess="Шпион мафии вышел на слежку...!";
$mess2="Шпион мафии провёл плодотворную ночь. Он узнал, что $nnn - $kogo[role]! ";
mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
mysql_query("INSERT INTO mmafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess2', '$rtime');");
header("Location:deist.php?$passgen");

}




if($role=='Мирный житель'){
echo "Вы мирный житель<br/>Вы можете купить роль маньяка за 350 бубликов!
<br/>
<a href='deist.php?$passgen&buy'>Купить</a>";
if(isset($_GET['buy']) && $user['balls']>='350'){
mysql_query("UPDATE `user` SET `balls`=`balls`-350 WHERE `id`='$user[id]' LIMIT 1");
mysql_query("UPDATE `mafia_us` SET `role`='Маньяк' WHERE  `id_us`='".$user['id']."' LIMIT 1");
header("LOCATION:deist.php?$passgen");
break;
}}
elseif($role=='Босс мафии' || $role=='Мафиози' || $role=='Шпион' || $role=='Киллер мафии'){
echo "Вы $role<br/>Совет мафии:";
$soo1=mysql_query("SELECT * FROM mafia_us WHERE role='Мафиози'");
$soo2=mysql_fetch_array(mysql_query("SELECT * FROM mafia_us WHERE role='Босс мафии'"));
$soo3=mysql_fetch_array(mysql_query("SELECT * FROM mafia_us WHERE role='Шпион'"));
$soo4=mysql_fetch_array(mysql_query("SELECT * FROM mafia_us WHERE role='Киллер мафии'"));

while($row=mysql_fetch_array($soo1)){

echo "$row[nick] $row[role], ";
}


echo "  $soo2[nick] $soo2[role],   $soo3[nick] $soo3[role],   $soo4[nick] $soo4[role]<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='Босс мафии' && role!='Мафиози' && role!='Шпион' && role!='Киллер мафии' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
if($usik['ps']!='0'){
$mys=$usik['role'];
}
else
{
$mys="";
}
echo "<option value='$usik[id_us]'>$usik[nick] $mys</option>";
}
echo "<select/>";

if($role=='Босс мафии'){
echo "<input type='submit' name='sub1' value='Убить'></form>";
}
elseif($role=='Киллер мафии'){
echo "<input type='submit' value='Убить' name='sub2'></form>";
}
elseif($role=='Шпион'){
echo "<input type='submit' value='Проверить' name='sub3'></form>";
}
elseif($role=='Мафиози'){
echo "</form><br/>Кроме просмотра списка мирных жителей, для вас нет действий<br/>";
}}
echo "<br/>Чат мафии<br/>";
echo "<form method='post' action='deist.php?$passgen'>
<input name='ska'/><input type='submit' value='OK' name='skas'/></form>";
if(isset($_POST['skas']) && $_POST['ska']!=''){
$ska=my_esc($_POST['ska']);

mysql_query("INSERT INTO mmafia_chat(room, nick, id_us, mess, time) VALUES('1', '$user[nick]', '$user[id]', '$ska', '$rtime');");
}
$cht=mysql_result(mysql_query("SELECT COUNT(*) FROM `mmafia_chat` WHERE `room`='1'"), 0);
$k_page=k_page($cht, $set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$u=mysql_query("SELECT * FROM `mmafia_chat` WHERE `room`='1' ORDER BY `time` DESC LIMIT $start,$set[p_str]");
while($m=mysql_fetch_array($u)){
echo "<div class='aut'><a href='/info.php?id=$m[id_us]'>$m[nick]</a> (".vremja($m[time]).")<br/>".output_text($m[mess])."</div>";
}
if($k_page>'1')str('?',$k_page,$page);
}
elseif($role=='Шериф'){
echo "Вы $role. Выберите за кем сегодня будите следить<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='Шериф' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
if($usik['pm']!='0'){
$mys=$usik['role'];
}
else
{
$mys="";
}
echo "<option value='$usik[id_us]'>$usik[nick] $mys</option>";
}

echo "</select><input type='submit' name='sub4' value='Проверить'></form>";
}
else
{
echo "Вы уже сегодня были на поисках<br/>";
}
}
elseif($role=='Коммисар'){
echo "Вы $role. Выберите за кем будет слежка<br/>";
if($acti==''){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='Коммисар' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
if($usik['pm']!=''){
$mys=$usik['role'];
}
else
{
$mys="";
}
echo "<option value='$usik[id_us]'>$usik[nick] $mys</option>";
}

echo "</select><input type='submit' name='sub5' value='Проверить'></form>";
}
else
{
echo "Вы уже сегодня были на поисках<br/>";
}
}
elseif($role=='Доктор'){
echo "Вы $role. Кого сегодня будем лечить?<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='Доктор' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
echo "<option value='$usik[id_us]'>$usik[nick]</option>";
}
echo "</select>";

echo "<input type='submit' name='sub6' value='Лечить'></form>";
}
else
{
echo "Вы уже сегодня лечили<br/>";
}
}
elseif($role=='Бомж'){
echo "Вы $role. За кем будем следить?<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='Бомж' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
echo "<option value='$usik[id_us]'>$usik[nick] </option>";
}

echo "</select><input type='submit' name='sub7' value='Следить'></form>";
}
else
{
echo "Вы уже сегодня были на слежке<br/>";
}}

elseif($role=='Маньяк'){
echo "Вы $role. Кого убьём?<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE id_us!='$user[id]' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){
echo "<option value='$usik[id_us]'>$usik[nick] $mys</option>";
}

echo "</select><input type='submit' name='sub8' value='Убить'></form>";
}
else
{
echo "Вы уже сегодня убили человека!<br/>";
}
}}
elseif($act=='day'){

$jer=my_esc($_POST['jer']);
if(isset($_POST['sub1']) && $acti=='0'){
$nko=mysql_fetch_array(mysql_query("SELECT nick FROM user WHERE id='$jer'"));
$nnn=$nko['nick'];
$dd=mysql_fetch_array(mysql_query("SELECT vote FROM mafia_us WHERE id_us='$jer'"));
$newv=$dd['vote']+1;

mysql_query("UPDATE mafia_us SET vote='$newv' WHERE id_us='$jer' LIMIT 1;");
mysql_query("UPDATE mafia_us SET acti='1' WHERE id_us='$user[id]' LIMIT 1;");
$kogo=mysql_query("SELECT * FROM mafia_us WHERE yb!='2' && reg='1' ORDER BY vote DESC LIMIT 3");
$dub=array("");

while($kr=mysql_fetch_array($kogo)){

$knick=$kr['nick'];
$kvo=$kr['vote'];
$messa="$knick ($kvo гол),\r\n";
array_push($dub,"$messa");
}
$amamam=implode($dub);

$useni=$user['nick'];
$mess="$useni голосует за казнь $nnn! Текущие результаты: \r\n [b] $amamam [/b]";

mysql_query("INSERT INTO mafia_chat(room, nick, id_us, mess, time) VALUES('1', 'Администратор', '1', '$mess', '$rtime');");
echo "Вы проголосовали за казнь $nnn!<br/>Вернуться в <a href='igra.php'>игру</a><br/>";
include_once '../sys/inc/tfoot.php';
break;
}
echo "Выберите кого вы будете вешать<br/>";
if($acti=='0'){
$all=mysql_query("SELECT * FROM mafia_us WHERE role!='' && yb!='2' && reg='1'");


echo "<form method='post' action='deist.php?$passgen'><select name='jer'>";
while($usik=mysql_fetch_array($all)){

echo "<option value='$usik[id_us]'>$usik[nick] $mys</option>";
}

echo "</select><input type='submit' name='sub1' value='Вешать'></form>";
}
else
{
echo "Вы уже голосовали<br/>";
}
}

include_once '../sys/inc/tfoot.php';
?>
